package others_request

import (
	"encoding/json"
	"git.sxidc.com/student-physical-examination/contract_lock_sdk/http"
)

type CrossborderContractSendRequest struct {
	// <ext>core:true;format:string</ext> 【跨境电子签约文件id】跨境电子签约文件id 【作用】 查询需要发起的跨境电子签约文件 【传参】 跨境电子签约文件id和第三方业务系统文件id必传其一，均传入以电子签约文件id为准。
	ContractId *int64 `json:"contractId,omitempty"`
	// <ext>core:true</ext> 【第三方业务系统文件id】第三方业务系统文件id 【作用】 查询需要发起的跨境电子签约文件 【传参】 跨境电子签约文件id和第三方业务系统文件id必传其一，均传入以跨境电子签约文件id为准。
	BizId string `json:"bizId,omitempty"`
}

func (obj CrossborderContractSendRequest) GetUrl() string {
	return "/cross-border/contract/send"
}

func (obj CrossborderContractSendRequest) GetHttpParameter() *http.HttpParameter {
	parameter := http.NewPostHttpParameter()
	jsonBytes, _ := json.Marshal(obj)
	parameter.SetJsonParamer(string(jsonBytes))
	return parameter
}
